<?php

/* I'm euc.php - a simple php script to add a cookie warning on webpages, as the Adsense/EU is forcing webmasters to do */

class euc {
	
	private $print = true;
	private $containerId = 'euc_box';
	private $css_file = 'eu-cookie/euc_style.css';
	private $css_media = 'all';
	private $css_type = 'inline';
	private $txt_notice_file = 'eu-cookie/euc_notice.txt';
	private $cookiename = 'euc_has_seen';
	private $cookierule = 'has_seen';
	private $cookiettl = 24;
	
	public $buff = '<!-- euc.buff used -->';
	public $cssbuff = '';
	
	public function __construct ( $options = false ) {
		// handles the options, if some are given...
		if ( is_array ( $options ) ) {
			foreach ( $options AS $k => $v ) {
				if ( isset ( $this->$k ) ) {
					$this->$k = $v;
				}
			}
		}
		// handles post ajax calls to accept button click
		if ( isset ( $_POST['euc_has_clicked'] ) AND $_POST['euc_has_clicked'] == 1 ) {
			$this->setEUCookie ( );
			print 'euc.ajax.success';
		}
		// handles get calls to accept button click
		if ( isset ( $_GET['euc_has_clicked'] ) AND $_GET['euc_has_clicked'] == 1 ) {
			$this->setEUCookie ( );
		}
		// handles the already has seen warning state
		else if ( isset ( $_COOKIE ) AND isset ( $_COOKIE[$this->cookiename] ) AND $_COOKIE[$this->cookiename] == 1 ) {
			$this->getHasSeenHTML ( );
		} 
		// show cookie-notice
		else {
			$this->getNoticeHTML ( );
			if ( $this->css_type == 'inline' ) {
				$this->getCSS ( );
			} else if ( $this->css_type == 'single' ) {
				$this->cssbuff = $this->getCSS ( 1 );
			}
			if ( $this->cookierule == 'has_seen' ) {
				$this->setEUCookie ( );
			}
		}
	}
	
	protected function getNoticeHTML ( ) {
		$b = sprintf ( '<div id="%s">', $this->containerId );
		if ( file_exists ( $this->txt_notice_file ) ) {
			$b .= trim ( file_get_contents ( $this->txt_notice_file ) );
		} else {
			$b .= 'Missing File: '.$this->txt_notice_file;
			$this->cookierule = 'error';
		}
		$b .= sprintf ( '</div><!-- end of div id="%s" -->', $this->containerId );
		if ( $this->print ) {
			print $b."\n";
		} else {
			$this->buff .= $b;
		}
	}
	
	protected function getHasSeenHTML ( ) {
		$b = sprintf ( '<!-- euc.php - layer already seen, found cookie "%s" -->', $this->cookiename );
		if ( $this->print ) {
			print $b."\n";
		} else {
			$this->buff .= $b;
		}
	}
	
	protected function setEUCookie ( ) {
		setcookie ( $this->cookiename, 1, time ( ) + 3600 * $this->cookiettl, '/' );
	}
	
	protected function getCSS ( $returntype = 0 ) {
		$repl_fr = array ( '/\r\n/', '/\r/', '/\n/', '/\t/', '/ +/', '/: +/', '/\{ /', '/ \{/', '/\/\*.*\*\//U', '/; +/', '/%%euc_containerId%%/' );
		$repl_to = array ( '', '', '', '', ' ', ':', '{', '{', '', ';', $this->containerId );
		$b = sprintf ( '<style type="text/css" media="%s">', $this->css_media );
		if ( file_exists ( $this->css_file ) ) {
			$b .= trim ( preg_replace ( $repl_fr, $repl_to, file_get_contents ( $this->css_file ) ) );
		} else {
			$b .= 'body:before { content: "Missing File: '.$this->css_file.'"; }';
			$this->cookierule = 'error';
		}
		$b .= '</style>';
		if ( $returntype == 1 ) {
			return $b;
		} else if ( $this->print ) {
			print $b."\n";
		} else {
			$this->buff .= $b;
		}
	}
	
}
