<!DOCTYPE html>
<html lang="de">
<head>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<title>EU Cookie Richtlinien Umsetzung - Beispiel 2</title>
	<style type="text/css" media="screen">
		#oelogo { width: 800px; text-align: center; }
		#outline { width: 800px; margin: 2em auto; border: solid 1px #999; }
		#text { font-family: "Lucida Grande", Arial, sans-serif; padding: 0.6em; }
		#foot { font-family: "Lucida Grande", Arial, sans-serif; text-align: center; font-size: 0.8em; }
		h1 { color: #778fbd; font-size: 2em;  font-weight: 500; margin: 0; }
		h2 { color: #778fbd; font-size: 1.6em;  font-weight: 400; margin-top: 0.4em; }
		p { color: #666; font-size: 1em; font-weight: normal; margin-top: 0; }
		p.active { color: #000; padding: 4px; border: 1px solid #666; }
		a { color: #666; text-decoration: underline; }
		a:hover { color: #000; }
	</style>
</head>
<body>
	<div id="outline">
		<div id="text">
			<div id="oelogo"><img src="http://open-eye.de/ci/logo_ee.gif" /></div>
			<h1>EU Cookie Hinweis</h1>
			<h2>Oder besser vielleicht <i>Adsense Cookie Hinweis</i>?</h2>
			<p>Direkt zum <a href="#download">Download</a></p>
			<p>euc.php ist eine Beispiel php Klasse, wie man die Einbindung eines solchen Cookie Hinweises in php Projekte realisieren könnte.</p>
			<p class="active">Dieses Beispiel zeigt den Cookie-Hinweis so lange an, bis man auf den Zustimmen Button klickt. Dann schickt es einen Javascript AJAX Request ab, der ein Cookie setzt und blendet den Hinweis (per CSS Animation) aus. Bei einem erneuten Laden der Seite wird der Hinweis nicht wieder eingeblendet, wenn Cookies zugelassen wurden. Verwendeter Cookie Name: euc_has_seen2</p>
			<p>Die Klasse enthält verschiedene Optionen und <a href="#beispiele">Beispiele</a>, wie so eine Einbindung vorgenommen werden könnte. Sie können die Klasse direkt so selber nutzen oder auf Basis dieser Klasse ihre eigene Lösung entwickeln. Insbesondere für die CSS Einbindung und eventuelle Javascript Funktionalitäten gibt es so endlos viele Möglichkeiten, dass hier nur Beispiele geliefert werden können.</p>
			<p>Bitte verstehen Sie, dass ich keine Haftung für eventuell aus der Nutzung entstehende Schäden übernehme - Nutzung auf eigene Verantwortung!</p>
			<h2 id="beispiele">Beispiele</h2>
			<ul>
				<li><a href="index.php">Nur Voreinstellungen</a></li>
				<li><b>Zustimmungsbutton (mit Ajax/Javascript) (diese Seite)</b></li>
				<li><a href="index3.php">Zustimmungsbutton (ohne Javascript)</a></li>
				<li><a href="index4.php">Gepufferte Ausgabe (für CMS Systeme etc.)</a></li>
				<li><a href="index5.php">Gepufferte Ausgabe mit abgetrenntem CSS (um es in den Head-Tag zu setzen)</a></li>
			</ul>
			<h2 id="download">Download</h2>
				<p>Download der euc.php Klasse mit Beispiel Dateien als:</p>
				<ul>
					<li><a href="eucookie.zip">ZIP</a></li>
					<li><a href="eucookie.tar.gz">TAR</a></li>
				</ul>
		</div>	
	</div>
	<div id="foot"><a href="impressum.htm">Impressum</a></div>
	<?php 
		require_once ( 'eu-cookie/euc.php' );
		$options = array (
			"css_file" => 'eu-cookie/euc_style_ajax_click.css',
			"txt_notice_file" => 'eu-cookie/euc_notice_ajax_click.txt',
			"cookiename" => 'euc_has_seen2',
			"cookierule" => 'has_clicked'
		);
		$euc = new euc ( $options );
	?>
</body>
</html>